Show / Hide Table of Contents

# Struct RecommendEquipModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RecommendEquipModule

### Fields

| Improve this Doc View Source

#### ClassJob

##### Declaration

    public byte ClassJob

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### EquippedBody

##### Declaration

    public InventoryItem*EquippedBody

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedEars

##### Declaration

    public InventoryItem*EquippedEars

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedFeet

##### Declaration

    public InventoryItem*EquippedFeet

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedHands

##### Declaration

    public InventoryItem*EquippedHands

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedHead

##### Declaration

    public InventoryItem*EquippedHead

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedLeftRing

##### Declaration

    public InventoryItem*EquippedLeftRing

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedLegs

##### Declaration

    public InventoryItem*EquippedLegs

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedMainHand

##### Declaration

    public InventoryItem*EquippedMainHand

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedNeck

##### Declaration

    public InventoryItem*EquippedNeck

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedOffHand

##### Declaration

    public InventoryItem*EquippedOffHand

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedRightRing

##### Declaration

    public InventoryItem*EquippedRightRing

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedSoulCrystal

##### Declaration

    public InventoryItem*EquippedSoulCrystal

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedWaist

##### Declaration

    public InventoryItem*EquippedWaist

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### EquippedWrist

##### Declaration

    public InventoryItem*EquippedWrist

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### Level

##### Declaration

    public ushort Level

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SlotCount

##### Declaration

    public uint SlotCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unk00

##### Declaration

    public uint Unk00

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unk00_15

##### Declaration

    public void *Unk00_15

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Unk7A

##### Declaration

    public byte Unk7A

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk7B

##### Declaration

    public byte Unk7B

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk7D

##### Declaration

    public byte Unk7D

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk7E

##### Declaration

    public byte Unk7E

##### Field Value

Type | Description
--- | ---
System.Byte |

### Methods

| Improve this Doc View Source

#### EquipRecommendedGear()

##### Declaration

    public void EquipRecommendedGear()

| Improve this Doc View Source

#### SetupRecommendedGear()

##### Declaration

    public bool SetupRecommendedGear()

##### Returns

Type | Description
--- | ---
System.Boolean |